SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

BEGIN;

--\set ON_ERROR_STOP

COPY cc_collector_platform_mst (platform_id, platform_name, order_no) FROM stdin (DELIMITER ',');
cloudn_flat,Cloudn Flat,111
cloudn_vpc,Cloudn VPC,112
\.

COMMIT;

BEGIN;

--\set ON_ERROR_STOP

COPY cc_collector_sub_platform_mst (sub_platform_id, sub_platform_name, type, order_no) FROM stdin (DELIMITER ',');
cloudn_flat,Cloudn Flat,Cloud,111
cloudn_vpc,Cloudn VPC,Cloud,112
\.

COMMIT;

BEGIN;
--\set ON_ERROR_STOP

COPY cc_cloud_type_mst (cloud_id, cloud_name, description) FROM stdin (DELIMITER ',');
cloudn_flat,Cloudn Flat,Cloudn Flat
cloudn_vpc,Cloudn VPC,Cloudn VPC
\.

COMMIT;

BEGIN;

--\set ON_ERROR_STOP

COPY cc_cloud_service (cloud_service_id, cloud_service_name, cloud_type_id, description) FROM stdin (DELIMITER ',');
cloudn_flat,BizHosting Cloudn Flat type,cloudn_flat,http://www.ntt.com/cloudn/ 
cloudn_vpc,BizHosting Cloudn VPC OpenNW type,cloudn_vpc,http://www.ntt.com/cloudn/ 
\.

COMMIT;

BEGIN;

--\set ON_ERROR_STOP

COPY cc_cloud_region (region, cloud_service_id, region_name, description) FROM stdin (DELIMITER ',');
jp-e1,cloudn_flat,East Japan,East Japan DC
jp-e1,cloudn_vpc,East Japan,East Japan DC
\.

COMMIT;

BEGIN;

--\set ON_ERROR_STOP
--\http://docs.aws.amazon.com/general/latest/gr/rande.html
COPY cc_cloud_endpoint (ep_type, cloud_service_id, region, location) FROM stdin (DELIMITER ',');
compute,cloudn_flat,jp-e1,comp-api.jp-e1.cloudn-service.com/client/api
compute,cloudn_vpc,jp-e1,vpcopennw-api.jp-e1.cloudn-service.com/client/api
\.

COMMIT;

BEGIN;

COPY cc_monitor_process_method_mst (platform_id, sub_platform_id, collect_method) FROM stdin (DELIMITER ',');
LINUX,cloudn_flat,SNMP
WINDOWS,cloudn_flat,SNMP
OTHER,cloudn_flat,SNMP
LINUX,cloudn_vpc,SNMP
WINDOWS,cloudn_vpc,SNMP
OTHER,cloudn_vpc,SNMP
\.

COMMIT;

BEGIN;

COPY cc_monitor_process_polling_mst (collect_method, platform_id, sub_platform_id, variable_id, entry_key, polling_target) FROM stdin (DELIMITER ',');
SNMP,LINUX,cloudn_flat,path,.1.3.6.1.2.1.25.4.2.1.4.*,.1.3.6.1.2.1.25.4.2.1.4
SNMP,LINUX,cloudn_flat,param,.1.3.6.1.2.1.25.4.2.1.5.*,.1.3.6.1.2.1.25.4.2.1.5
SNMP,LINUX,cloudn_flat,name,.1.3.6.1.2.1.25.4.2.1.2.*,.1.3.6.1.2.1.25.4.2.1.2
SNMP,WINDOWS,cloudn_flat,path,.1.3.6.1.2.1.25.4.2.1.4.*,.1.3.6.1.2.1.25.4.2.1.4
SNMP,WINDOWS,cloudn_flat,param,.1.3.6.1.2.1.25.4.2.1.5.*,.1.3.6.1.2.1.25.4.2.1.5
SNMP,WINDOWS,cloudn_flat,name,.1.3.6.1.2.1.25.4.2.1.2.*,.1.3.6.1.2.1.25.4.2.1.2
WBEM,LINUX,cloudn_flat,param,Linux_UnixProcess.Parameters.*,Linux_UnixProcess.Parameters
WBEM,LINUX,cloudn_flat,name,Linux_UnixProcess.ModulePath.*,Linux_UnixProcess.ModulePath
SNMP,LINUX,cloudn_vpc,path,.1.3.6.1.2.1.25.4.2.1.4.*,.1.3.6.1.2.1.25.4.2.1.4
SNMP,LINUX,cloudn_vpc,param,.1.3.6.1.2.1.25.4.2.1.5.*,.1.3.6.1.2.1.25.4.2.1.5
SNMP,LINUX,cloudn_vpc,name,.1.3.6.1.2.1.25.4.2.1.2.*,.1.3.6.1.2.1.25.4.2.1.2
SNMP,WINDOWS,cloudn_vpc,path,.1.3.6.1.2.1.25.4.2.1.4.*,.1.3.6.1.2.1.25.4.2.1.4
SNMP,WINDOWS,cloudn_vpc,param,.1.3.6.1.2.1.25.4.2.1.5.*,.1.3.6.1.2.1.25.4.2.1.5
SNMP,WINDOWS,cloudn_vpc,name,.1.3.6.1.2.1.25.4.2.1.2.*,.1.3.6.1.2.1.25.4.2.1.2
WBEM,LINUX,cloudn_vpc,param,Linux_UnixProcess.Parameters.*,Linux_UnixProcess.Parameters
WBEM,LINUX,cloudn_vpc,name,Linux_UnixProcess.ModulePath.*,Linux_UnixProcess.ModulePath
\.

COMMIT;